<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ryUpdate</name>
    </assembly>
    <members>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateUrl">
            <summary>
            升级地址
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateAfterTime">
            <summary>
            隔多久后再次检查更新
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.SettingPath">
            <summary>
            本地保存的配置信息
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MySoftVer">
            <summary>
            当前安装的软件版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MySoftRVer">
            <summary>
            当前安装的软件修正版本
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.MyDataVer">
            <summary>
            当前安装的数据库版本
            </summary>
        </member>
        <member name="P:LiveUpdate.ClsLiveUpdate.UpdateType">
            <summary>
            获取当前更新的类型
            </summary>
        </member>
        <member name="F:LiveUpdate.ClsLiveUpdate.UpdateLoopHours">
            <summary>
            每隔n小时检测一次更新
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartLiveUpdate">
            <summary>
            开始检测新版本
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.#ctor(System.Windows.Forms.Form)">
            <summary>
            初始化升级函数
            </summary>
            <param name="ower">为null,则表示事件运行在多线程模式下，否则,事件是在窗体所在线程下</param>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.GetVerInfo">
            <summary>
            获取版本信息
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartDownload">
            <summary>
            开始下载
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StartDownload(System.String,System.String)">
            <summary>
            开始下载
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.DownloadInUI(System.String,System.String)">
            <summary>
            下载,不使用多线程
            </summary>
        </member>
        <member name="M:LiveUpdate.ClsLiveUpdate.StopDownload">
            <summary>
            结束下载
            </summary>
        </member>
        <member name="P:LiveUpdate.RyUpdate.CurUserId">
            <summary>
            当前登陆用户
            </summary>
        </member>
        <member name="E:LiveUpdate.RyUpdate.OnUpdateCancel">
            <summary>
            取消更新。
            </summary>
        </member>
        <member name="P:LiveUpdate.frmStartUpdate.T_myLiveUpdate">
            <summary>
            设置升级
            </summary>
        </member>
        <member name="P:LiveUpdate.frmStartUpdate.T_isUpdate">
            <summary>
            是否是在线更新
            </summary>
        </member>
        <member name="F:LiveUpdate.frmStartUpdate.components">
            <summary>
            Required designer variable.
            </summary>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.Dispose(System.Boolean)">
            <summary>
            Clean up any resources being used.
            </summary>
            <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        </member>
        <member name="M:LiveUpdate.frmStartUpdate.InitializeComponent">
            <summary>
            Required method for Designer support - do not modify
            the contents of this method with the code editor.
            </summary>
        </member>
        <member name="F:LiveUpdate.FrmUpdate.components">
            <summary>
            Required designer variable.
            </summary>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.Dispose(System.Boolean)">
            <summary>
            Clean up any resources being used.
            </summary>
            <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        </member>
        <member name="M:LiveUpdate.FrmUpdate.InitializeComponent">
            <summary>
            Required method for Designer support - do not modify
            the contents of this method with the code editor.
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateType">
            <summary>
            更新类型,soft或者data
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDes_Url">
            <summary>
            更新描述Url
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDes">
            <summary>
            更新描述
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateVer">
            <summary>
            版本
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateDate">
            <summary>
            更新日期
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.UpdateUrl">
            <summary>
            更新地址
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.FirstDownList">
            <summary>
            在下载升级包前首先要下载的内容
            </summary>
        </member>
        <member name="F:LiveUpdate.UpdateInfo.sxSettingXML">
            <summary>
            升级程序要使用的设置xml
            </summary>
        </member>
    </members>
</doc>
